> ## Documentation Index
> Fetch the complete documentation index at: https://developer.dromo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all uploads



## OpenAPI

````yaml /api-reference/openapi.json get /uploads/
openapi: 3.1.0
info:
  title: Dromo
  description: >-
    Dromo's APIs provide convenient programmatic access to your uploads and
    schemas. You can use them to create powerful automated workflows.
  termsOfService: https://dromo.io/legal/terms
  contact:
    name: Dromo
    email: contact@dromo.io
  version: '1.0'
servers:
  - url: https://app.dromo.io/api/v1
security:
  - api_key: []
tags:
  - name: uploads
    description: Viewing completed imports
  - name: import-schemas
    description: Creating and viewing import schemas
  - name: headless
    description: Creating and viewing headless imports
  - name: sftp-credentials
    description: Managing SFTP server credentials
  - name: sftp-connectors
    description: Managing SFTP automated import connectors
paths:
  /uploads/:
    get:
      tags:
        - uploads
      summary: Get all uploads
      operationId: listUploads
      parameters:
        - name: start
          in: query
          description: start index
          schema:
            type: number
            default: 0
        - name: end
          in: query
          description: end index, defaults to max return value, 10000
          schema:
            type: number
            default: 10000
      responses:
        '200':
          description: List uploads
          content:
            application/json:
              schema:
                type: object
                properties:
                  start:
                    type: number
                  end:
                    type: number
                  total_num_uploads:
                    type: number
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Import'
components:
  schemas:
    Import:
      type: object
      properties:
        id:
          type: string
          format: uuid
          example: 64b07421-f291-4449-a7d4-0f2e6ab912c4
        import_identifier:
          type: string
          example: new products
        raw_upload:
          type: object
          properties:
            filename:
              type: string
              example: my_file.csv
            storage_key:
              type: string
              example: c82e33b1-cea6-4271-9d21-38140c13fe28-my_file.csv
        user:
          type: object
          properties:
            id:
              type: string
            name:
              type: string
            email:
              type: string
            companyId:
              type: string
            companyName:
              type: string
          required:
            - id
          additionalProperties: false
        created_date:
          type: string
          format: date-time
        upload_status:
          type: string
          enum:
            - PENDING_UPLOAD
            - PROCESSING
            - PROCESSED
            - FAILED
        total_num_rows:
          type: number
        invalid_row_indexes:
          type: array
          items:
            type: number
        errors:
          type: array
          items:
            type: object
        storage_key:
          type: string
          format: uuid
          example: 64b07421-f291-4449-a7d4-0f2e6ab912c4
        field_order:
          type: array
          items:
            type: string
  securitySchemes:
    api_key:
      type: apiKey
      name: X-Dromo-License-Key
      in: header
      description: >-
        This backend API key is different than your frontend license key. Please
        use the "Backend" license key from your [Dromo
        Dashboard](https://dashboard.dromo.io/).

````